NotInLifecyclePhase (Mule ESB 2.2.1 API)
Keywords: org.mule.lifecycle.phases.NotInLifecyclePhase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.lifecycle.phases
Class NotInLifecyclePhase

    java.lang.Object
      org.mule.lifecycle.DefaultLifecyclePhase
          org.mule.lifecycle.phases.NotInLifecyclePhase

All Implemented Interfaces:
  LifecyclePhase

    public class NotInLifecyclePhase

extends DefaultLifecyclePhase

This lifecycle phase marks the 'pre-lifecycle' phase of an object. The default phase before any other phase has been executed

Field Summary
`static String` | `PHASE_NAME`

Fields inherited from class org.mule.lifecycle.DefaultLifecyclePhase
`logger`

Fields inherited from interface org.mule.api.lifecycle.LifecyclePhase
`ALL_PHASES`

Constructor Summary
`NotInLifecyclePhase()`

Method Summary

Methods inherited from class org.mule.lifecycle.DefaultLifecyclePhase
`addOrderedLifecycleObject, applyLifecycle, applyLifecycle, getIgnoredObjectTypes, getLifecycleClass, getName, getOppositeLifecyclePhase, getOrderedLifecycleObjects, getSupportedPhases, ignoreType, isPhaseSupported, registerSupportedPhase, removeOrderedLifecycleObject, setIgnoredObjectTypes, setLifecycleClass, setOrderedLifecycleObjects, setSupportedPhases, sortLifecycleInstances`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PHASE_NAME

    public static final String PHASE_NAME

See Also:
  Constant Field Values

Constructor Detail

### NotInLifecyclePhase

    public NotInLifecyclePhase()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.